Pterodactyldocs
Client A P I

Get file upload URL

Returns a short-lived signed URL for uploading a file directly to Wings.

GET/api/client/servers/{server_uuid}/files/upload
AuthorizationBearer <token>

Application API requests require an application API token, or a client API token, that belongs to a root administrator. Admin API requests require a client API token that belongs to a root administrator, and reject application API tokens. Client API requests require a client API token.

In: header

Path Parameters

server_uuid*string

The server UUID.

Response Body

application/json

application/json

application/json

application/json

curl -X GET "https://example.com/api/client/servers/d3aac109-e5a0-4331-b03e-3454f7e02bbe/files/upload"
{  "object": "signed_url",  "attributes": {    "url": "https://node.example.test/download/file?token=eyJ0eXAiOiJKV1QiLCJhbGciOiJIUzI1NiJ9.example.signature"  }}